Can't Build FlexLib V1.4 -- Missing Iconic.Zip

  • 1
  • Problem
  • Updated 4 years ago
  • Solved
I just downloaded the FlexLib V1.4 zip archive.

First, a trivial request:  In future, would you please consider naming the archive something that includes the version number?  I now have several FlexLib_API(x).ZIP files in my Downloads directory.  Thanks for the consideration.

Now, onto the real issue.  When I try to build the FlexLib project, I get two warnings an an error. Apparently, the reference to Iconic.Zip is not found and the references to the Iconic.Zip namespace can't be satisfied.

Needless to say, simply removing the "using" for Iconic.Zip doesn't solve the problem.

I suspect you'll recognize this problem immediately, but just for the sake of completeness, here is the Error List from VS:

Warning 2 Could not resolve this reference. Could not locate the assembly "Ionic.Zip". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.

FlexLibWarning 3 The referenced component 'Ionic.Zip' could not be found.

Error 1 The type or namespace name 'Ionic' could not be found (are you missing a using directive or an assembly reference?) D:\Flex\FlexLib v1.4.0\FlexLib\Radio.cs 33 7 FlexLib

Peter
K1PGV
Photo of Peter K1PGV

Peter K1PGV, Elmer

  • 541 Posts
  • 315 Reply Likes

Posted 4 years ago

  • 1
Photo of Robbie - KI4TTZ

Robbie - KI4TTZ

  • 479 Posts
  • 77 Reply Likes
Official Response
Oh I wonder if that is DotNetZip on codeplex?  I might grab it and see if it compiles :-)